Page MenuHomePhabricator

Don't allow enabled filters be marked as deleted
Closed, ResolvedPublic

Description

Enabled abusefilters should not be allowed to be marked as deleted. Only disabled filters should.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2017, 9:21 AM
Huji triaged this task as Lowest priority.Sep 2 2017, 3:32 PM
Huji added a project: User-Huji.
Daimona added a subscriber: Daimona.May 1 2018, 7:30 PM

Doing this server-side is pretty straightforward, while client-side this requires a JS listener. That is simple as well, but it's probably better to wait for OOUI and use a hide-if

Huji added a subscriber: Huji.May 1 2018, 7:45 PM

The server-side is a must anyway (think about API). But I agree that the client-side would benefit from hide-if

Yes, indeed. Actually, I'm not sure that we may use hide-if, but anyway OOUI may require different listeners, so let's just wait to do it in one shot.

Huh, I was actually wrong. Hide-if is from HTMLForm, which I didn't use to build the editing interface. This means that we can already start working on this with standard techniques.

Change 430414 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Don't let enabled filters be marked as deleted

https://gerrit.wikimedia.org/r/430414

Daimona claimed this task.May 2 2018, 5:11 PM
Huji closed this task as Resolved.May 2 2018, 10:21 PM
Huji removed projects: Patch-For-Review, User-Huji.

Change 430414 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Don't let enabled filters be marked as deleted

https://gerrit.wikimedia.org/r/430414